## Class Return

    java.lang.Object
      |
      +--Statement
            |
            +--Return

public class Return
extends Statement

Field Summary
`private Expr` `retexpr`

Constructor Summary
`Return()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` `get_Type()`
`(package private) void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` `set_ReturnExpr(Expr ret)`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### retexpr

    private Expr retexpr

Constructor Detail

### Return

    public Return()

Method Detail

### sc_check

    void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                  java.util.Hashtable ch,
                  java.util.Hashtable bh,
                  boolean ext,
                  java.util.Hashtable parach,
                  java.util.Hashtable parabh)
            throws SCStatementException

  Specified by:
    `sc_check` in class `Statement`
    `SCStatementException`

### set_ReturnExpr

    public void set_ReturnExpr(Expr ret)

### get_Type

    public java.lang.String get_Type()

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
    `JVMCodeException`